POST
/api/v1/embeddingsCompute embeddings
Computes embeddings for the given texts. Uses the org's configured embedding provider.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"texts": [
"string"
],
"model": "string"
}Schema
{
"application/json": {
"schema": {
"type": "object",
"required": [
"texts"
],
"properties": {
"texts": {
"type": "array",
"items": {
"type": "string"
}
},
"model": {
"type": "string"
}
}
}
}
}Response
200 example
{
"success": true
}All status codes
200Embeddings.
400(no description)
401(no description)
429(no description)
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/embeddings \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "texts": [ "string" ], "model": "string" }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/embeddings",
body: {
"texts": [
"string"
],
"model": "string"
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/embeddings",
body={
"texts": [
"string"
],
"model": "string"
},
)
print(response)Go
package main
import (
"context"
"fmt"
"os"
"github.com/evalguard/evalguard-go"
)
func main() {
client := evalguard.NewClient(os.Getenv("EVALGUARD_API_KEY"))
resp, err := client.Request(context.Background(), "POST", "/api/v1/embeddings", map[string]any{"texts": []any{"string"}, "model": "string"})
if err != nil { panic(err) }
fmt.Println(resp)
}Errors
400401429